import { useState } from 'react'
import './App.css'
import PostForm from './Post'
import { Zone } from './Zone'
import { Delete } from './Delete'
import { Fetch } from './Fetch'
import { QueryClient, QueryClientProvider } from '@tanstack/react-query'

const queryClient = new QueryClient()

function App() {
  const [zone, setZone] = useState("post")

  return (
    <>
      {zone == "post" && <PostForm />}
      {zone == "delete" && <Delete />}
      {zone == "view" && <QueryClientProvider client={queryClient}><Fetch /></QueryClientProvider>}

      <Zone setZone={setZone} />
    </>
  )
}

export default App
